<?xml version="1.0" encoding="UTF-8"?>
<!-- Published by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.5-hudson-$BUILD_NUMBER-. -->
<!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.5-hudson-$BUILD_NUMBER-. -->
<definitions xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" name="IDocumentService">
	<ns1:Policy xmlns:ns1="http://schemas.xmlsoap.org/ws/2004/09/policy" wsu:Id="PddaslPortBindingPolicy">
		<ns1:ExactlyOne>
			<ns1:All>
				<ns6:AsymmetricBinding xmlns:ns6="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
					<ns1:Policy>
						<ns1:ExactlyOne>
							<ns1:All>
								<ns6:AlgorithmSuite>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:Basic128/>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:AlgorithmSuite>
								<ns6:IncludeTimestamp/>
								<ns6:InitiatorToken>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:X509Token ns6:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient">
													<ns1:Policy>
														<ns1:ExactlyOne>
															<ns1:All>
																<ns6:WssX509V3Token10/>
															</ns1:All>
														</ns1:ExactlyOne>
													</ns1:Policy>
												</ns6:X509Token>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:InitiatorToken>
								<ns6:Layout>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:Lax/>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:Layout>
								<ns6:OnlySignEntireHeadersAndBody/>
								<ns6:RecipientToken>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:X509Token ns6:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/Never">
													<ns1:Policy>
														<ns1:ExactlyOne>
															<ns1:All>
																<ns6:WssX509V3Token10/>
															</ns1:All>
														</ns1:ExactlyOne>
													</ns1:Policy>
												</ns6:X509Token>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:RecipientToken>
							</ns1:All>
						</ns1:ExactlyOne>
					</ns1:Policy>
				</ns6:AsymmetricBinding>
				<ns7:Wss10 xmlns:ns7="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
					<ns1:Policy>
						<ns1:ExactlyOne>
							<ns1:All>
								<ns7:MustSupportRefIssuerSerial/>
								<ns7:MustSupportRefKeyIdentifier/>
							</ns1:All>
						</ns1:ExactlyOne>
					</ns1:Policy>
				</ns7:Wss10>
			</ns1:All>
		</ns1:ExactlyOne>
	</ns1:Policy>
	<types>
		<xsd:schema>
			<xsd:import namespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" schemaLocation="IDocumentService.xsd"/>
		</xsd:schema>
	</types>
	<message name="updateDocument">
		<part name="parameters" element="tns:updateDocument"/>
	</message>
	<message name="updateDocumentResponse">
		<part name="parameters" element="tns:updateDocumentResponse"/>
	</message>
	<message name="queryDocument">
		<part name="parameters" element="tns:queryDocument"/>
	</message>
	<message name="queryDocumentResponse">
		<part name="parameters" element="tns:queryDocumentResponse"/>
	</message>
	<message name="retrieveDocument">
		<part name="parameters" element="tns:retrieveDocument"/>
	</message>
	<message name="retrieveDocumentResponse">
		<part name="parameters" element="tns:retrieveDocumentResponse"/>
	</message>
	<message name="addDocument">
		<part name="parameters" element="tns:addDocument"/>
	</message>
	<message name="addDocumentResponse">
		<part name="parameters" element="tns:addDocumentResponse"/>
	</message>
	<portType name="IDocument">
		<operation name="updateDocument">
			<input message="tns:updateDocument"/>
			<output message="tns:updateDocumentResponse"/>
		</operation>
		<operation name="queryDocument">
			<input message="tns:queryDocument"/>
			<output message="tns:queryDocumentResponse"/>
		</operation>
		<operation name="retrieveDocument">
			<input message="tns:retrieveDocument"/>
			<output message="tns:retrieveDocumentResponse"/>
		</operation>
		<operation name="addDocument">
			<input message="tns:addDocument"/>
			<output message="tns:addDocumentResponse"/>
		</operation>
	</portType>
	<binding name="IDocumentPortBinding" type="tns:IDocument">
		<ns8:PolicyReference xmlns:ns8="http://schemas.xmlsoap.org/ws/2004/09/policy" URI="#PddaslPortBindingPolicy"/>
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
		<operation name="updateDocument">
			<soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/updateDocument"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
		<operation name="queryDocument">
			<soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/queryDocument"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
		<operation name="retrieveDocument">
			<soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/retrieveDocument"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
		<operation name="addDocument">
			<soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/addDocument"/>
			<input>
				<soap:body use="literal"/>
			</input>
			<output>
				<soap:body use="literal"/>
			</output>
		</operation>
	</binding>
	<service name="IDocumentService">
		<port name="IDocumentPort" binding="tns:IDocumentPortBinding">
			<soap:address location="https://localhost:8282/aslba/IDocumentService"/>
		</port>
	</service>
</definitions>